Package org.eclipse.cdt.utils.coff.parser

# Class GNUPEBinaryObject64

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.cdt.utils.BinaryFile
org.eclipse.cdt.utils.BinaryObjectAdapter
org.eclipse.cdt.utils.coff.parser.PEBinaryObject64
org.eclipse.cdt.utils.coff.parser.GNUPEBinaryObject64

All Implemented Interfaces:
  `IBinaryParser.IBinaryFile`, `IBinaryParser.IBinaryObject`, `org.eclipse.core.runtime.IAdaptable`

Direct Known Subclasses:
  `GNUPEBinaryExecutable64`, `GNUPEBinaryShared64`

public class GNUPEBinaryObject64 extends PEBinaryObject64

Since:
  8.2

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`BinaryObjectAdapter.BinaryObjectInfo`

## Field Summary

### Fields inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`NO_SYMBOLS`

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

## Constructor Summary

Constructors
Constructor
Description
`GNUPEBinaryObject64(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)`
`GNUPEBinaryObject64(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)`

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`getContents()`
`protected Objdump`
`getObjdump()`

### Methods inherited from class org.eclipse.cdt.utils.coff.parser.PEBinaryObject64

`addSymbols, getAdapter, getAddressFactory, getBinaryObjectInfo, getName, getPE, getSymbols, loadAll, loadInfo, loadInfo, loadSymbols, loadSymbols`

### Methods inherited from class org.eclipse.cdt.utils.BinaryObjectAdapter

`getBSS, getCPU, getData, getNeededSharedLibs, getSoName, getSymbol, getText, hasDebug, isLittleEndian, toString`

### Methods inherited from class org.eclipse.cdt.utils.BinaryFile

`getBinaryParser, getPath, getType, hasChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getPath, getType`

## Constructor Details

### GNUPEBinaryObject64

public GNUPEBinaryObject64(IBinaryParser parser, org.eclipse.core.runtime.IPath path, AR.ARHeader header)

### GNUPEBinaryObject64

public GNUPEBinaryObject64(IBinaryParser parser, org.eclipse.core.runtime.IPath path, int type)

## Method Details

### getContents

public InputStream getContents() throws IOException

Specified by:
  `getContents` in interface `IBinaryParser.IBinaryFile`
Overrides:
  `getContents` in class `PEBinaryObject64`
Returns:
  the binary contents.
Throws:
  `IOException`
See Also:
  - `IBinaryParser.IBinaryFile.getContents()`

### getObjdump

protected Objdump getObjdump()